Create a conversation with inline files Run in API Explorer
Ask AI
Used to create a conversation and upload files as part of the first message at the same time.
POST
/api/v1/conversation/inline
curl \
--request POST 'https://api.plannrcrm.com/api/v1/conversation/inline' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Annual Review",
"case": "742b96a2-8d6a-4f5a-af04-7f83c8c33937",
"participants": [
"010660be-014f-422f-a791-38c8d8b2952b",
"c88f5245-d104-47f7-9f4a-f2a9cd7d101b",
"32d045ea-751f-4fb9-a685-1209878004c0"
],
"message": "Hello world!",
"files": [
"c07ef487-265e-4dad-8aab-e99de0c96392",
"8ebd8ba4-9796-4b54-804d-94d80c410229",
"a08b637c-7bea-4520-adf9-03f809e42afc"
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Annual Review",
"case": "742b96a2-8d6a-4f5a-af04-7f83c8c33937",
"participants": [
"010660be-014f-422f-a791-38c8d8b2952b",
"c88f5245-d104-47f7-9f4a-f2a9cd7d101b",
"32d045ea-751f-4fb9-a685-1209878004c0"
],
"message": "Hello world!",
"files": [
"c07ef487-265e-4dad-8aab-e99de0c96392",
"8ebd8ba4-9796-4b54-804d-94d80c410229",
"a08b637c-7bea-4520-adf9-03f809e42afc"
]
}
Response examples (200)
{
"uuid": "096536b6-b3ad-46af-822c-fca18c9610d3",
"created_at": "2026-10-15T22:27:47+01:00",
"updated_at": "2026-10-15T22:27:47+01:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "a7b0548e-8cc3-4e9f-91fa-e10dae1215bc",
"created_at": "2026-10-15T22:27:47+01:00",
"updated_at": "2026-10-15T22:27:47+01:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "b4166403-1781-4def-8215-384888c50473",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00"
},
"review_at": "2026-10-15T22:27:47+01:00",
"assigned_to_uuids": [
"06607bc0-4454-438a-b93b-e4d4df22c4dc"
],
"group_uuids": [
"894bc42f-ae01-4745-96ca-97000d359a1a"
],
"completed_at": "2026-10-15T22:27:47+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"task_board_uuid": "b272020f-35ab-40f8-a3fb-e23ba298febe",
"plans": {
"uuid": "1fa9009e-9cb1-47ae-bd31-41341475b40d",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"opened_at": "2026-10-15T22:27:53+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-15T22:27:53+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-15",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-15",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-15T22:27:53+01:00",
"original_valued_at": "2026-10-14T22:27:53+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
},
"participants_count": 3,
"participants": [
{
"uuid": "8c2cae56-9ec9-43e5-bb49-d764b13f23e2",
"created_at": "2026-10-15T22:27:47+01:00",
"updated_at": "2026-10-15T22:27:47+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "254c1b2d-e4ba-45ff-a339-c5e14b7f31b8",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "69dc678b-8825-462d-a121-59c6ca52fe1d",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "69dc678b-8825-462d-a121-59c6ca52fe1d",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "e2bb44cc-ff30-4e32-be21-8d916c394f11",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-15T21:37:53+01:00",
"end_date": "2026-10-15T22:05:53+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "2711be82-253e-44c8-9217-3199553d4dbf",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00"
},
"tags": {
"uuid": "2e293673-7cc9-46d2-87b5-2e1cc4a4cbd9",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-15T22:27:47+01:00",
"next_review_date": "2026-10-15T22:27:47+01:00",
"previous_review_date": "2026-10-15T22:27:47+01:00",
"anniversary_review_date": "2026-10-15T22:27:47+01:00",
"terms_of_business_at": "2026-10-15T22:27:47+01:00",
"client_agreement_at": "2026-10-15T22:27:47+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "6d713be5-efd3-4138-a287-495da01e7d20",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-15T22:27:53+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "8b23a6c0-2cc2-4ab9-a220-ba672f22cff8",
"login_access_level": "write",
"current_life_stage_uuid": "fc93526a-20e3-4717-b713-163cd40a3325"
},
"circles": {
"uuid": "6d713be5-efd3-4138-a287-495da01e7d20",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-15T22:27:53+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "8b23a6c0-2cc2-4ab9-a220-ba672f22cff8",
"login_access_level": "write",
"current_life_stage_uuid": "fc93526a-20e3-4717-b713-163cd40a3325"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:47",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:47+01:00",
"out_of_office_until": "2026-10-15T22:27:47+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "e585571b-3c56-4fe4-9563-a1a34ec94aaa",
"name": "Gold",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "a9fe402c-2fe2-4cea-9124-608c934641db",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "9824e70d-d943-4ede-96f3-26ca277443de",
"created_at": "2026-10-15T22:27:47+01:00",
"updated_at": "2026-10-15T22:27:47+01:00",
"deleted_at": "2026-10-15T22:27:47+01:00",
"contents": "Welcome to Plannr!",
"edited": true,
"is_auto_reply": false,
"files": {
"uuid": "f346c1bb-31d9-47db-b5f9-23b69c7b6aff",
"created_at": "2026-10-15T22:27:53+01:00",
"original_created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"uploaded_at": "2026-10-15T22:27:53+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-15T22:27:53+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/8c89eb0c-9d57-4055-b3ce-a22830b83bab/download",
"preview_url": "https://api.plannrcrm.com/file/b7a29f0f-913d-4ba1-8878-aa83c7438992/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "ab22b58e-710d-4769-9068-be49f4e0cf54",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-15T22:27:53+01:00",
"next_review_date": "2026-10-15T22:27:53+01:00",
"previous_review_date": "2026-10-15T22:27:53+01:00",
"anniversary_review_date": "2026-10-15T22:27:53+01:00",
"terms_of_business_at": "2026-10-15T22:27:53+01:00",
"client_agreement_at": "2026-10-15T22:27:53+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-15",
"last_interaction_at": "2026-10-15 22:27:53",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-15T22:27:53+01:00",
"out_of_office_until": "2026-10-15T22:27:53+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"user": {
"uuid": "4b399735-2f74-47c0-82b4-18970a785749",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_setup_required": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-10-15T22:27:53+01:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-10-15T22:27:53+01:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "b1fd4bca-7940-452d-b1a5-22767da57c55",
"created_at": "2026-10-15T22:27:53+01:00",
"updated_at": "2026-10-15T22:27:53+01:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "c3eb7c01-c892-4197-a963-6cb6d990e04b",
"created_at": "2026-10-15T22:27:47+01:00",
"updated_at": "2026-10-15T22:27:47+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}